#
# spec file for package ksnuffle (Version 2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  -s "mkdir -p /opt/kde2/share/icons/locolor/16x16/apps/ ; export CXXFLAGS=-fpermissive ; " --kde2
Name:         ksnuffle
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Network traffic monitor
Version:      2.2
Release:      229
Source0:      ksnuffle-2.2.tar.bz2
Patch0: ksnuffle-2.2.dif

%description
Ksnuffle is a network traffic monitor. It can display, record and replay traffic passing a particular interface. It supports multiple concurrent monitor and replay; it also contains facilities to allow selected non-root users to monitor the network.

Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

SuSE series: k2de

%prep
%setup -n ksnuffle-2.2
%patch -p 0 -E
rm -rf ./remote/.deps
rm -rf ./ksnuffle/.deps
rm -rf ./plugins/dns/.deps
rm -rf ./plugins/demo/.deps
rm -rf ./plugins/tcpip/.deps
rm -rf ./plugins/endtoend/.deps
rm -rf ./plugins/summary/.deps

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
mkdir -p /opt/kde2/share/icons/locolor/16x16/apps/ ; export CXXFLAGS=-fpermissive ;  CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc ARCH AUTHORS INSTALL PLUGINS COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Internet
%dir /opt/kde2/share/apps/ksnuffle
%dir /opt/kde2/share/apps/ksnuffle/plugins
%dir /opt/kde2/share/apps/ksnuffle/toolbar
%dir /opt/kde2/share/doc/HTML/en/ksnuffle
/opt/kde2/bin/demo
/opt/kde2/bin/dns
/opt/kde2/bin/endtoend
/opt/kde2/bin/ksnuffle
/opt/kde2/bin/rsnuffle
/opt/kde2/bin/summary
/opt/kde2/bin/tcpip
/opt/kde2/share/applnk/Internet/ksnuffle.desktop
/opt/kde2/share/apps/ksnuffle/plugins/demo.so
/opt/kde2/share/apps/ksnuffle/plugins/demo.spec
/opt/kde2/share/apps/ksnuffle/plugins/dns.so
/opt/kde2/share/apps/ksnuffle/plugins/dns.spec
/opt/kde2/share/apps/ksnuffle/plugins/endtoend.so
/opt/kde2/share/apps/ksnuffle/plugins/endtoend.spec
/opt/kde2/share/apps/ksnuffle/plugins/summary.so
/opt/kde2/share/apps/ksnuffle/plugins/summary.spec
/opt/kde2/share/apps/ksnuffle/plugins/tcpip.so
/opt/kde2/share/apps/ksnuffle/plugins/tcpip.spec
/opt/kde2/share/apps/ksnuffle/toolbar/caver.bmp
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_close.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_collapse.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_conf.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_details.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_events.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_expand.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_filter.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_first.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_freeze.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_graph.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_last.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_mon.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_next.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_par.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_pkt.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_prev.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_priv.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_refresh.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_remote.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_replay.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_resume.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_setup.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_sniff.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_start.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_stop.png
/opt/kde2/share/apps/ksnuffle/toolbar/ksn_tcpip.png
/opt/kde2/share/doc/HTML/en/ksnuffle/config.html
/opt/kde2/share/doc/HTML/en/ksnuffle/config.png
/opt/kde2/share/doc/HTML/en/ksnuffle/config_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/dns.html
/opt/kde2/share/doc/HTML/en/ksnuffle/dns.png
/opt/kde2/share/doc/HTML/en/ksnuffle/dns_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/endtoend.html
/opt/kde2/share/doc/HTML/en/ksnuffle/endtoend.png
/opt/kde2/share/doc/HTML/en/ksnuffle/endtoend_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/events.html
/opt/kde2/share/doc/HTML/en/ksnuffle/events.png
/opt/kde2/share/doc/HTML/en/ksnuffle/events_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/exit.png
/opt/kde2/share/doc/HTML/en/ksnuffle/filesave.png
/opt/kde2/share/doc/HTML/en/ksnuffle/filters.html
/opt/kde2/share/doc/HTML/en/ksnuffle/filters.png
/opt/kde2/share/doc/HTML/en/ksnuffle/filters_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/global.html
/opt/kde2/share/doc/HTML/en/ksnuffle/global.png
/opt/kde2/share/doc/HTML/en/ksnuffle/global_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/graphic.html
/opt/kde2/share/doc/HTML/en/ksnuffle/graphic.png
/opt/kde2/share/doc/HTML/en/ksnuffle/graphic_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/index-1.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-2.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-3.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.1.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.10.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.11.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.2.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.3.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.4.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.5.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.6.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.7.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.8.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-4.9.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-5.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-6.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-7.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index-8.html
/opt/kde2/share/doc/HTML/en/ksnuffle/index.html
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_close.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_collapse.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_conf.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_details.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_events.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_expand.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_filter.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_first.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_freeze.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_graph.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_last.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_mon.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_next.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_par.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_pkt.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_prev.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_priv.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_refresh.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_remote.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_replay.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_resume.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_setup.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_sniff.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_start.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_stop.png
/opt/kde2/share/doc/HTML/en/ksnuffle/ksn_tcpip.png
/opt/kde2/share/doc/HTML/en/ksnuffle/logotp3.gif
/opt/kde2/share/doc/HTML/en/ksnuffle/packets.html
/opt/kde2/share/doc/HTML/en/ksnuffle/packets.png
/opt/kde2/share/doc/HTML/en/ksnuffle/packets_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/parallel.html
/opt/kde2/share/doc/HTML/en/ksnuffle/parallel.png
/opt/kde2/share/doc/HTML/en/ksnuffle/parallel_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/privilege.html
/opt/kde2/share/doc/HTML/en/ksnuffle/privilege.png
/opt/kde2/share/doc/HTML/en/ksnuffle/privilege_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/protocol.html
/opt/kde2/share/doc/HTML/en/ksnuffle/protocol.png
/opt/kde2/share/doc/HTML/en/ksnuffle/protocol_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/s1s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/summary.html
/opt/kde2/share/doc/HTML/en/ksnuffle/summary.png
/opt/kde2/share/doc/HTML/en/ksnuffle/summary_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/tcpdata.html
/opt/kde2/share/doc/HTML/en/ksnuffle/tcpdata.png
/opt/kde2/share/doc/HTML/en/ksnuffle/tcpdata_s.png
/opt/kde2/share/doc/HTML/en/ksnuffle/tcpip.html
/opt/kde2/share/doc/HTML/en/ksnuffle/tcpip.png
/opt/kde2/share/doc/HTML/en/ksnuffle/tcpip_s.png
/opt/kde2/share/icons/locolor/16x16/apps/ksnuffle.png

%changelog -n ksnuffle
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Aug 10 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Tue Feb 20 2001 - adrian@suse.de
- update to 2.2
  ask for root pw on startup
* Wed Dec 06 2000 - adrian@suse.de
- glibc 2.2 fix, thanks aj
* Mon Dec 04 2000 - adrian@suse.de
- update to 2.0 (KDE 2)
* Thu Jun 08 2000 - uli@suse.de
- removed libpcap.a again...
* Wed May 31 2000 - adrian@suse.de
- New version 0.7
* Tue Mar 21 2000 - ro@suse.de
- initialize QString with "" instead of NULL
* Wed Mar 08 2000 - ro@suse.de
- update to 0.3 , fixed to compile
* Mon Mar 06 2000 - freitag@suse.de
- removed libpcap from /usr/local/lib ! -> not neccessary, static
  linking
* Wed Feb 09 2000 - ro@suse.de
- fixed to compile
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 07 1999 - kettner@suse.de
- Spec file created from ksnuffle-0.1.tgz by autospec
